Name:          startup-notification
Version:       0.12
Release:       19
Summary:       Library for tracking application startup
URL:           http://www.freedesktop.org/software/startup-notification/
Source0:       http://www.freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz
License:       LGPLv2
BuildRequires: libX11-devel libXt-devel xcb-util-devel gcc

%description
This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package   devel
Summary:   Development files of startup-notification
Requires:  %{name} = %{version}-%{release}
Requires:  libX11-devel pkgconfig

%description devel
Development files for startup-notification.

%package   help
Summary:   Help document for startup-notification

%description help
Help document for startup-notification

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la_and_a

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING AUTHORS
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files help
%doc test/*.c test/*.h doc/startup-notification.txt ChangeLog NEWS

%changelog
* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 0.12-19
- rebuild for next release

* Tue Jun 22 2021 shixuantong <shixuantong@huawei.com > - 0.12-18
- add gcc to BuildRequires

* Thu Nov 07 2019 Yiru Wang <wangyiru1@huawei.com> - 0.12-17
- Pakcage init
